Bug 1017111 - LDAP context mis-close in LDAPIdentityStoreImpl
LDAP context mis-close in LDAPIdentityStoreImpl
Status: NEW
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: PicketLink (Show other bugs)
5.2.2.GA
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Boleslaw Dawidowicz
Tomas Kyjovsky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 05:32 EDT by Toshiya Kobayashi
Modified: 2014-06-19 09:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1017119 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker PLIDM-44 Major Resolved LDAP context mis-close in LDAPIdentityStoreImpl 2014-07-21 04:43:26 EDT

  None (edit)
Description Toshiya Kobayashi 2013-10-09 05:32:06 EDT
Platform BZ for https://issues.jboss.org/browse/PLIDM-44

Steps to reproduce: Please see "Steps to Reproduce:" in PLIDM-44
Comment 1 JBoss JIRA Server 2013-10-09 05:53:13 EDT
Tom Fonteyne <tfonteyn@redhat.com> made a comment on jira PLIDM-44

It's the line:

  ldapCtx.unbind(jndiName);

which appears twice in that class, that should be removed. An unbind explicitly says to close the connection, instead of simply putting it back in the pool.
Comment 3 JBoss JIRA Server 2013-10-14 11:52:04 EDT
Marek Posolda <mposolda@redhat.com> updated the status of jira PLIDM-44 to Resolved
Comment 4 JBoss JIRA Server 2013-10-14 11:52:04 EDT
Marek Posolda <mposolda@redhat.com> made a comment on jira PLIDM-44

Fixed by commit https://github.com/picketlink/picketlink-idm/commit/90624614537c560b0df6b296c0c901c932468056

Note You need to log in before you can comment on or make changes to this bug.